Skip to content

searchWireBeneficiary⁠

Perform various search operations on wire beneficiary records.

Operations⁠

searchWireBeneficiaryInfoSelectFields⁠

POST

Searches for wire beneficiary information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/searchWireBeneficiaryInfoSelectFields
POST /nexum/627/2022.01/wire/searchWireBeneficiaryInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "SelectableFields": {
    "IncludeAllWireBeneficiaryInfoFields": true,
    "WireBeneficiaryInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireBeneficiaryInfoPagedSelectFields⁠

POST

Searches for wire beneficiary information paged with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/searchWireBeneficiaryInfoPagedSelectFields
POST /nexum/627/2022.01/wire/searchWireBeneficiaryInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireBeneficiaryInfoFields": true,
    "WireBeneficiaryInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}